Bug 122184 - Spellcheck highlight updates only after entering space or new line after specific word
Summary: Spellcheck highlight updates only after entering space or new line after spec...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2018-12-18 23:29 UTC by larionenkoruslan@gmail.com
Modified: 2021-04-08 03:39 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description larionenkoruslan@gmail.com 2018-12-18 23:29:56 UTC
Spellcheck highlight(red line) doesn't update if user change(fix spell) some word and move cursor to an other word. Space or new line entering is required to update spellcheck highlight.

Steps to reproduce:
Enter "Dog and cat"
Change to "Dogr and cat"
Move cursor from "Dogr" to an other word using mouse or arrow buttons.


Actual result:
"Dogr" isn't highlighted as incorrect word. User should enter space or new line after Dogr word to update highlight.

Expected result(works well in Microsoft Word Online):
"Dogr" should be highlighted as incorrect word.

Possible it is not bug and it is just specific behavior. 
But I think LO should update spellcheck highlight dynamically(without entering space or new line after specific words).
Comment 1 Telesto 2018-12-19 12:02:48 UTC
Repro with
Version: 6.3.0.0.alpha0+
Build ID: beae6c7a7f163daad0d4dea63a3d403af2745fd1
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-12-06_23:55:16
Locale: en-US (nl_NL); UI-Language: en-US
Calc: CL

and with
Version: 5.1.0.0.alpha1+
Build ID: 49c2b9808df8a6b197dec666dfc0cda6321a4306
Threads 4; Ver: Windows 6.29; Render: GL; 

but not with
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL
Comment 2 Caolán McNamara 2018-12-20 16:19:25 UTC
This changed between 470848093a2687a6d8056629da6b43773ff4cb0c..86aebe9e5b084a737ce18e4620e8d8f0998eb5a1 and I suspect its...

commit 4c91e94e892943ef5e031d65f6f42864233cb4cd
Author: Michael Stahl <mstahl@redhat.com>
Date:   Wed Sep 9 10:30:04 2015 +0200

    tdf#92036: sw: fix idle spelling loop
Comment 3 Caolán McNamara 2018-12-20 16:20:56 UTC
ah, its right there in the commit message.

"Notably this means if the user just moves the cursor out of the wrongly spelled word, it won't be underlined yet, but that appears a minor issue, and checking when the cursor leaves the word appears too hard to implement"
Comment 4 Telesto 2018-12-20 19:15:26 UTC
(In reply to Caolán McNamara from comment #3)
> ah, its right there in the commit message.
> 
> "Notably this means if the user just moves the cursor out of the wrongly
> spelled word, it won't be underlined yet, but that appears a minor issue,
> and checking when the cursor leaves the word appears too hard to implement"

Lets remove the regression keyword...
Comment 5 QA Administrators 2021-04-08 03:39:26 UTC
Dear larionenkoruslan@gmail.com,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug